// 画像クリック
document.getElementById('main_cg').onclick = function(){
	nowp = nowpage;
	changeImage(+1);
	if( nowp < maxpage){
		return false;
	}
};

// 前へクリック
document.getElementById('prev').onclick = function(){
	nowp = nowpage;
	changeImage(-1);
	if( nowp > minpage ){
		return false;
	}
};

// 次へクリック
document.getElementById('next').onclick = function(){
	nowp = nowpage;
	changeImage(+1);
	if( nowp < maxpage){
		return false;
	}
};

// セリフありクリック
document.getElementById('on').onclick = function(){
	if(nowtype != 3){
		nowtype = 0;
		dispImage();
	}
};

// 効果のみクリック
document.getElementById('eff').onclick = function(){
	if(nowtype != 3){
		nowtype = 1;
		dispImage();
	}
};

// セリフなしクリック
document.getElementById('off').onclick = function(){
	if(nowtype != 3){
		nowtype = 2;
		dispImage();
	}
};

// キー入力
document.onkeyup = function(e){
	var keyCode		= false;
	var skipstep	= 5;
	
	if( e ){
		event = e;
	}
	
	if( event ){
		if( event.keyCode ){
			keyCode = event.keyCode;
		}
		else if( event.which ){
			keyCode = event.which;
		}
	}
		
	switch( keyCode ){
	case 35: // End
		slideshow = false;
		skipstep = maxpage - nowpage;
		changeImage(skipstep);
		break;
		
	case 36: // Home
		slideshow = false;
		skipstep = nowpage - minpage;
		changeImage(-skipstep);
		break;
		
	case 37: // 左入力
		// １ページ戻し
		slideshow = false;
		changeImage(-1);
		break;
	
	case 34: // PageDown
		// ５ページ戻し
		slideshow = false;
		if( nowpage - skipstep < minpage){
			skipstep = nowpage - minpage;
		}
		changeImage(-skipstep);
		break;
		
	case 39: // 右入力
		// １ページ送り
		slideshow = false;
		changeImage(+1);
		break;
		
	case 33: // PageUp
		if( !event.altKey){
			// ５ページ送り
			slideshow = false;
			if( nowpage + skipstep > maxpage){
				skipstep = maxpage - nowpage;
			}
			changeImage(+skipstep);
		}
		else{
			// スライドショー
			slideshow = !slideshow;
			dispTitle();
			if( slideshow ){
				slideShow();
			}
		}
		break;
	case 18: // Alt
		break;
	
	default:
		slideshow = false;
		dispTitle();
		break;
	}
};

document.onkeydown = function (e){
	var keyCode = false;
	
	if( e ){
		event = e;
	}
	
	// キー入力キャンセル
	if( (event.keyCode == 8) || (event.keyCode == 37) || (event.keyCode == 39) || (event.keyCode == 116) || (event.ctrlKey && (event.keyCode == 82)) ){
		if(event.preventDefault){
			// デフォルトの動作を無効化する
			event.preventDefault();
		}else{
			// デフォルトの動作を無効化する（非標準）
			event.keyCode = 0;
			return false;
		}
	}
};

// 画面終了
document.getElementById('close').onclick = function(){
	window.close();
};
